Bug 1235810 - Ripright confuses MUSICBRAINZ_ALBUMID and MUSICBRAINZ_RELEASEGROUPID
Summary: Ripright confuses MUSICBRAINZ_ALBUMID and MUSICBRAINZ_RELEASEGROUPID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ripright
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-25 19:22 UTC by Marc Ponschab
Modified: 2016-01-17 21:59 UTC (History)
2 users (show)

Fixed In Version: ripright-0.11-1.fc23 ripright-0.11-1.fc22 ripright-0.11-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 00:55:59 UTC


Attachments (Terms of Use)
Patch which fixes the bug (1.14 KB, application/mbox)
2015-06-25 19:22 UTC, Marc Ponschab
no flags Details

Description Marc Ponschab 2015-06-25 19:22:33 UTC
Created attachment 1043270 [details]
Patch which fixes the bug

Description of problem:

Ripright confuses MUSICBRAINZ_ALBUMID and MUSICBRAINZ_RELEASEGROUPID

Version-Release number of selected component (if applicable):

0.9

How reproducible:

Rip a CD which Disc-Id is attached to a CD in the MusicBrainz database. Ripright writes the ReleaseGroupId to the tag MUSICBRAINZ_ALBUMID, so the album is not recognized by MusicBrainz Picard (eg. after encoding the flac files to ogg). It should write the ReleaseId to the tag MUSICBRAINZ_ALBUMID.  

Steps to Reproduce:

1. Rip a CD which Disc-Id is attached to a CD in the MusicBrainz database.
2. Drag the ripped flac files in MusicBrainz Picard to the "Unmatched Files" folder in the right-hand pane.  

Actual results:

MusicBrainz Picard tries to load a album, but it fails (the server responds 404 not found).

Expected results:

MusicBrainz Picard loads the album, which ripright has identified by the Disc-Id.


Additional info:

I've attached a patch for version 0.9, which modifies Ripright to write the ReleaseId to the tag MUSICBRAINZ_ALBUMID and the ReleaseGroupId to the tag MUSICBRAINZ_RELEASEGROUPID.

With the patch applied, ripright-tagged albums are recognized by MusicBrainz Picard quite fine.

I'm opening the bug here, as the upstream is not reachable (E-Mail is bouncing).

Comment 1 Fedora Update System 2015-12-20 04:27:16 UTC
ripright-0.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c927c62c9b

Comment 2 Fedora Update System 2015-12-20 04:27:24 UTC
ripright-0.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-48752120b5

Comment 3 Fedora Update System 2015-12-22 15:33:54 UTC
ripright-0.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-53ca2c1c70

Comment 4 Fedora Update System 2015-12-23 00:11:45 UTC
ripright-0.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c927c62c9b

Comment 5 Fedora Update System 2015-12-24 05:21:23 UTC
ripright-0.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-48752120b5

Comment 6 Fedora Update System 2015-12-31 00:55:55 UTC
ripright-0.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-12-31 01:50:27 UTC
ripright-0.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-01-17 21:59:10 UTC
ripright-0.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.